#include "pub_def.h"

#define  DISP_BUS_WIDTH 4
#define  DISP_MODULE_PRESENT

#define  DISP_SEL_CMD_REG           0
#define  DISP_SEL_DATA_REG          1

/*
*********************************************************************************************************
*                                           FUNCTION PROTOTYPES
*********************************************************************************************************
*/

void  DispChar(INT8U row, INT8U col, INT8U c);
void  LCD_ClrLine(INT8U line);
void  LCD_ClrScr(void);
void  DispDefChar(INT8U id, INT8U *pat);
void  DispDummy(void);
void  DispHorBar(INT8U row, INT8U col, INT8U val);
void  DispHorBarInit(void);
void  DispLoadScaleSymPatterns(void);
void  DispChangeSym6Pattern(INT8U n);
void  LCD_Init(INT8U maxrows, INT8U maxcols);
void  LCD_DispStr(INT8U row, INT8U col, INT8U *s);
void  DispBlk (INT8U row, INT8U col, INT8U n, INT8U *s);

void  DispCursorOff(void);
void  DispCursorOn(void);
void  DispCursorBlink(void);
void  DispSetCursorPos(INT8U row, INT8U col);


/*
*********************************************************************************************************
*                                           FUNCTION PROTOTYPES
*                                            HARDWARE SPECIFIC
*********************************************************************************************************
*/

#if DISP_BUS_WIDTH == 4
void  DispDataWrOneNibble(INT8U data);
#endif

void  DispDataWr(INT8U data);
void  DispInitPort(void);
void  DispSel(INT8U sel);


/*
*********************************************************************************************************
*                                           FUNCTION PROTOTYPES
*                                               OS SPECIFIC
*********************************************************************************************************
*/

void  DispInitOS(void);                       /* Initialize RTOS services                              */
void  DispLock(void);                         /* Ensure  exclusive access to the display               */
void  DispUnlock(void);



