#include "includes.h"

char UTILDec2Char(INT8U value)
{

  if( (value >= 0) && (value <=9) )
    return(char) (value + 0x30);
  else
    return(char) (value + 0x37);
}

void int2string (INT32U value, char *string)
{

  INT8U remainder;
  INT8U offset = 9;

  strcpy(string, "          ");

  do
  {
    remainder = value % 10;
    string[offset] = UTILDec2Char(remainder);
    value = value / 10;
    offset--;
  }
  while( value != 0 );

  string[10] = 0;   //Set to null.

}



INT8U char2num(char ch)
{

  INT8U value=0;

  if( (ch >= '0') && (ch <='9') )
  {
    value = ch - 0x30;
  }
  else
  {
    value = 0;
  }

  return value;
}

INT32U String2Uint32(char *str)
{

  INT8U u8i, u8length;
  INT32U u32value=0;
  INT32U u32total=0;
  INT16U u16base=1;

  //Check for Null String
  u8length = (INT8U) strlen(str);
  if( u8length == 0 )
  {
    return 0;
  }

  //Check for Overflow of the UINT32 variable.
  if( u8length > 8 )
  {
    return 0xFFFFFFFF;
  }

  for( u8i=0; u8i<u8length; u8i++ )
  {
    u32value = char2num((char) str[u8length-u8i-1]);
    u32value *= u16base;
    u16base *= 10;
    u32total += u32value;
  }

  return u32total;
}

void UTILInt2String (INT32U value, INT8U *string)
{

  INT8U remainder;
  INT8U offset = 9;

  strcpy(string, "          ");

  do
  {
    remainder = value % 10;
    string[offset] = UTILDec2Char(remainder);
    value = value / 10;
    offset--;
  }
  while( value != 0 );

  string[10] = 0;        //Set to null.

}

void Uint32ToHexString(INT32U u32Num, INT8U *pu8Str)
{

  INT8U u8Mod = 0;
  INT8U u8Offset = 9;

  strcpy(pu8Str, "00000000000");

  while( u32Num != 0 )
  {
    u8Mod = u32Num % 16;
    pu8Str[u8Offset] = UTILDec2Char(u8Mod);
    u32Num/=16;
    u8Offset--;
  }
  pu8Str[0] = '0';
  pu8Str[1] = 'x';
  pu8Str[10] = '\0';

}

void trimWhiteSpace(char *str)
{

  INT8U length, i=0;
  INT8U leading_ws=0;
  INT8U ws_flag = TRUE;

  length = (INT8U) strlen(str);


  while( (i < length) && (ws_flag == TRUE) )
  {
    if( str[i] >= 33 && str[i] <=126 )
    {
      ws_flag = FALSE;
    }
    else
    {
      i++;
    }
  }

  leading_ws = i;
  strcpy(str, str + leading_ws);
}
