#ifndef _SIMPLE_PHY_H
  #define _SIMPLE_PHY_H


  #define CLEAR_IRQ_FLAG      IRQSC_IRQACK = 1 /* Dependent upon interrupt source chosen.*/

  #define MODEM_CE_LOW    _PTED.Bits.PTED2 = 0 /* Asserts the MC13192 CE pin */
  #define MODEM_CE_HIGH   _PTED.Bits.PTED2 = 1 /* Deasserts the MC13192 CE pin */
  #define SPIClkInvert    SPI1C1 |= 0x04; /*Set CPHA bit of SPCR (clk polarity) */
  #define SPIClkNormal    SPI1C1 &= 0xFB; /*clr CPHA bit of SPCR (clk polarity) */


void   Phy_Init(INT8U clko_freq_n);
void   IRQIsr(void);

INT8U  Phy_send_packet(tTxPacket *psPacket);
INT8U  Phy_to_Hibernate(void);
INT8U  Phy_to_Doze(INT32U u32Timeout);
INT8U  Phy_Wake_by_ATTN(void);
INT8U  Phy_Init_Reciving(TRxPacket* rxpack_struct);
INT8U  Phy_Set_Channel(INT8U u8Channel);
INT8U  Phy_Set_Mode(INT8U u8ReqMode);
INT8U  Phy_Get_EnergyLev(void);
INT8U  Phy_Read_LinkQuality(void);
INT32U Phy_Read_Timestamp(void);
INT8U  Phy_Set_CLKo_freq(INT8U u8Freq);
INT8U  Phy_Set_Event_Timer_Prescaler (INT8U u8Freq);
void   Phy_Load_Event_Timer(INT32U u32RequestedTime);
INT8U  Phy_LoadEnable_Tmr1_comp(INT32U u32CounterValue);
INT8U  Phy_Disable_Tmr1(void);
INT8U  Phy_Do_Soft_Reset(void);
INT8U  Phy_Adjust_XTAL(INT8U u8TrimValue);
INT8U  Phy_Set_Power_Compensation(INT8U i8GainValue);
INT8U  Phy_Adjust_Power_Level(INT8U u8RequestedPAValue);
INT16U Phy_Read_RfICVersion(void);

INT8U  Phy_receive_packet(INT16U status);
void   Phy_Write_SMAC_packet(tTxPacket *psTxPkt);
INT8U  Phy_Read_SMAC_packet(TRxPacket *psRxPkt);
void   Phy_Disable_interrupts(void);
void   Phy_Restore_interrupts(void);
void   Phy_RxTxEn_to_low(void);
void   Phy_RxTxEn_to_high(void);
void   Phy_RESET_to_low(void);
void   Phy_RESET_to_high(void);
INT8U  Phy_poll_interrupt(void);
void   Phy_Set_poll_mode(void);
void   Phy_Set_int_mode(void);
void   Phy_Load_TX_w_PRBS9_pattern (tTxPacket *psPacket);
void   Phy_Do_Test (tTxPacket *psPacket, INT8U u8mode);


#endif /* _SIMPLE_PHY_H */