#include "includes.h"


/*-----------------------------------------------------------------------------
           10
     40 MHz,   20 MHz
-----------------------------------------------------------------------------*/
void ICG_Init(void)
{

//  LOCD    = 0  Loss of clock detection enabled.
//  OSCSTEN = 0  Oscillator disabled when ICG is in Off Mode unless ENABLE is high, CLKS = 10, and REFST = 1.
//  REFS    = 0 External clock requested.
//  RANGE   = 1 Oscillator configured for high frequency range. FLL loop prescale factor P is 1.
//  HGO     = 0 Oscillator configured for low power operation.

  _ICGC1.Byte = BIT(RANGE) + BIT(CLKS0) + + BIT(CLKS1);

// 000 Division Factor (R) = 1
// 0 Generate an interrupt request on loss of clock.
// 011 Multiplication Factor (N) = 10
// 0 Generate an interrupt request on loss of lock.
  _ICGC2.Byte = BIT(MFD1) + BIT(MFD0);


  while ((!_ICGS1.Bits.ERCS ) || (!_ICGS1.Bits.LOCK));

  _ICGC2.Bits.LOLRE  = 1; // 1 Generate a reset request on loss of lock.

}

