#ifndef __IOPorts_cfg
  #define __IOPorts_cfg


//  PTA
  #define  D_PTA0     0           //   
  #define DD_PTA0     1           // 1 - output, 0 - input
  #define PE_PTA0     0           // 1 = Internal pullup device enabled. 0 = Internal pullup device disabled.
  #define SE_PTA0     0           // 1 = Slew rate control enabled. 0 = Slew rate control disabled.

  #define  D_PTA1     0           //  
  #define DD_PTA1     1
  #define PE_PTA1     0
  #define SE_PTA1     0

  #define  D_PTA2     0           //  SW1   pull-up
  #define DD_PTA2     0
  #define PE_PTA2     1
  #define SE_PTA2     0

  #define  D_PTA3     0           //  SW2   pull-up
  #define DD_PTA3     0
  #define PE_PTA3     1
  #define SE_PTA3     0

  #define  D_PTA4     0           //  SW3   pull-up
  #define DD_PTA4     0
  #define PE_PTA4     1
  #define SE_PTA4     0

  #define  D_PTA5     0           //  SW4   pull-up
  #define DD_PTA5     0
  #define PE_PTA5     1
  #define SE_PTA5     0

  #define  D_PTA6     0           //   CTS  UART1
  #define DD_PTA6     0
  #define PE_PTA6     0
  #define SE_PTA6     0

  #define  D_PTA7     0           //   RTS  UART1
  #define DD_PTA7     1
  #define PE_PTA7     0
  #define SE_PTA7     0

#define INIT_DPTA  (D_PTA0  | (D_PTA1<<1)  | (D_PTA2<<2)  | (D_PTA3<<3)  | (D_PTA4<<4)  | (D_PTA5<<5)  | (D_PTA6<<6)  | (D_PTA7<<7))
#define INIT_DDPTA (DD_PTA0 | (DD_PTA1<<1) | (DD_PTA2<<2) | (DD_PTA3<<3) | (DD_PTA4<<4) | (DD_PTA5<<5) | (DD_PTA6<<6) | (DD_PTA7<<7))
#define INIT_PEPTA (PE_PTA0 | (PE_PTA1<<1) | (PE_PTA2<<2) | (PE_PTA3<<3) | (PE_PTA4<<4) | (PE_PTA5<<5) | (PE_PTA6<<6) | (PE_PTA7<<7))
#define INIT_SEPTA (SE_PTA0 | (SE_PTA1<<1) | (SE_PTA2<<2) | (SE_PTA3<<3) | (SE_PTA4<<4) | (SE_PTA5<<5) | (SE_PTA6<<6) | (SE_PTA7<<7))


//  PTB
  #define  D_PTB0     0           //   G_SELECT2 
  #define DD_PTB0     1           // 1 - output, 0 - input
  #define PE_PTB0     0           // 1 = Internal pullup device enabled. 0 = Internal pullup device disabled.
  #define SE_PTB0     0           // 1 = Slew rate control enabled. 0 = Slew rate control disabled.

  #define  D_PTB1     0           //   G_SELECT1 
  #define DD_PTB1     1
  #define PE_PTB1     0
  #define SE_PTB1     0

  #define  D_PTB2     0           //   XOUT 
  #define DD_PTB2     0
  #define PE_PTB2     0
  #define SE_PTB2     0

  #define  D_PTB3     0           //   YOUT 
  #define DD_PTB3     0
  #define PE_PTB3     0
  #define SE_PTB3     0

  #define  D_PTB4     0           //   ZOUT 
  #define DD_PTB4     0
  #define PE_PTB4     0
  #define SE_PTB4     0

  #define  D_PTB5     0           //   POWER SAVE 
  #define DD_PTB5     1
  #define PE_PTB5     0
  #define SE_PTB5     0

  #define  D_PTB6     0           //     LM61BE
  #define DD_PTB6     0
  #define PE_PTB6     0
  #define SE_PTB6     0

  #define  D_PTB7     0           //      LM61BE
  #define DD_PTB7     1
  #define PE_PTB7     0
  #define SE_PTB7     0

#define INIT_DPTB  (D_PTB0  | (D_PTB1<<1)  | (D_PTB2<<2)  | (D_PTB3<<3)  | (D_PTB4<<4)  | (D_PTB5<<5)  | (D_PTB6<<6)  | (D_PTB7<<7))
#define INIT_DDPTB (DD_PTB0 | (DD_PTB1<<1) | (DD_PTB2<<2) | (DD_PTB3<<3) | (DD_PTB4<<4) | (DD_PTB5<<5) | (DD_PTB6<<6) | (DD_PTB7<<7))
#define INIT_PEPTB (PE_PTB0 | (PE_PTB1<<1) | (PE_PTB2<<2) | (PE_PTB3<<3) | (PE_PTB4<<4) | (PE_PTB5<<5) | (PE_PTB6<<6) | (PE_PTB7<<7))
#define INIT_SEPTB (SE_PTB0 | (SE_PTB1<<1) | (SE_PTB2<<2) | (SE_PTB3<<3) | (SE_PTB4<<4) | (SE_PTB5<<5) | (SE_PTB6<<6) | (SE_PTB7<<7))


//  PTC
  #define  D_PTC0     1           //   TXD  UART1 ( USB)
  #define DD_PTC0     1           // 1 - output, 0 - input
  #define PE_PTC0     0           // 1 = Internal pullup device enabled. 0 = Internal pullup device disabled.
  #define SE_PTC0     0           // 1 = Slew rate control enabled. 0 = Slew rate control disabled.

  #define  D_PTC1     0           //   RXD  UART1 ( USB)
  #define DD_PTC1     0
  #define PE_PTC1     0
  #define SE_PTC1     0

  #define  D_PTC2     1           //    CS  SPI FLASH AT25HP512C1-10CU-2.7
  #define DD_PTC2     1
  #define PE_PTC2     0
  #define SE_PTC2     0

  #define  D_PTC3     0           //    SI  SPI FLASH AT25HP512C1-10CU-2.7
  #define DD_PTC3     1
  #define PE_PTC3     0
  #define SE_PTC3     0

  #define  D_PTC4     1           //   Green LED,   0
  #define DD_PTC4     1
  #define PE_PTC4     0
  #define SE_PTC4     0

  #define  D_PTC5     0           //    SCK  SPI FLASH AT25HP512C1-10CU-2.7
  #define DD_PTC5     1
  #define PE_PTC5     0
  #define SE_PTC5     0

  #define  D_PTC6     0           //    SO  SPI FLASH AT25HP512C1-10CU-2.7
  #define DD_PTC6     0
  #define PE_PTC6     0
  #define SE_PTC6     0

  #define  D_PTC7     0           //   
  #define DD_PTC7     0
  #define PE_PTC7     0
  #define SE_PTC7     0

#define INIT_DPTC  (D_PTC0  | (D_PTC1<<1)  | (D_PTC2<<2)  | (D_PTC3<<3)  | (D_PTC4<<4)  | (D_PTC5<<5)  | (D_PTC6<<6)  | (D_PTC7<<7))
#define INIT_DDPTC (DD_PTC0 | (DD_PTC1<<1) | (DD_PTC2<<2) | (DD_PTC3<<3) | (DD_PTC4<<4) | (DD_PTC5<<5) | (DD_PTC6<<6) | (DD_PTC7<<7))
#define INIT_PEPTC (PE_PTC0 | (PE_PTC1<<1) | (PE_PTC2<<2) | (PE_PTC3<<3) | (PE_PTC4<<4) | (PE_PTC5<<5) | (PE_PTC6<<6) | (PE_PTC7<<7))
#define INIT_SEPTC (SE_PTC0 | (SE_PTC1<<1) | (SE_PTC2<<2) | (SE_PTC3<<3) | (SE_PTC4<<4) | (SE_PTC5<<5) | (SE_PTC6<<6) | (SE_PTC7<<7))


//  PTD
  #define  D_PTD0     1           //   ATTN  
  #define DD_PTD0     1           // 1 - output, 0 - input
  #define PE_PTD0     0           // 1 = Internal pullup device enabled. 0 = Internal pullup device disabled.
  #define SE_PTD0     0           // 1 = Slew rate control enabled. 0 = Slew rate control disabled.

  #define  D_PTD1     0           //   RXTXEN  
  #define DD_PTD1     1
  #define PE_PTD1     0
  #define SE_PTD1     0

  #define  D_PTD2     0           //   
  #define DD_PTD2     1
  #define PE_PTD2     0
  #define SE_PTD2     0

  #define  D_PTD3     0           //   RST  
  #define DD_PTD3     1
  #define PE_PTD3     0
  #define SE_PTD3     0

  #define  D_PTD4     1           //   Red LED1,   0
  #define DD_PTD4     1
  #define PE_PTD4     0
  #define SE_PTD4     0

  #define  D_PTD5     1           //   Red LED2,   0 
  #define DD_PTD5     1
  #define PE_PTD5     0
  #define SE_PTD5     0

  #define  D_PTD6     1           //   Red LED3,   0
  #define DD_PTD6     1
  #define PE_PTD6     0
  #define SE_PTD6     0

  #define  D_PTD7     1           //   Red LED4,   0
  #define DD_PTD7     1
  #define PE_PTD7     0
  #define SE_PTD7     0

#define INIT_DPTD  (D_PTD0  | (D_PTD1<<1)  | (D_PTD2<<2)  | (D_PTD3<<3)  | (D_PTD4<<4)  | (D_PTD5<<5)  | (D_PTD6<<6)  | (D_PTD7<<7))
#define INIT_DDPTD (DD_PTD0 | (DD_PTD1<<1) | (DD_PTD2<<2) | (DD_PTD3<<3) | (DD_PTD4<<4) | (DD_PTD5<<5) | (DD_PTD6<<6) | (DD_PTD7<<7))
#define INIT_PEPTD (PE_PTD0 | (PE_PTD1<<1) | (PE_PTD2<<2) | (PE_PTD3<<3) | (PE_PTD4<<4) | (PE_PTD5<<5) | (PE_PTD6<<6) | (PE_PTD7<<7))
#define INIT_SEPTD (SE_PTD0 | (SE_PTD1<<1) | (SE_PTD2<<2) | (SE_PTD3<<3) | (SE_PTD4<<4) | (SE_PTD5<<5) | (SE_PTD6<<6) | (SE_PTD7<<7))


//  PTE
  #define  D_PTE0     0           // 
  #define DD_PTE0     1           // 1 - output, 0 - input
  #define PE_PTE0     0           // 1 = Internal pullup device enabled. 0 = Internal pullup device disabled.
  #define SE_PTE0     0           // 1 = Slew rate control enabled. 0 = Slew rate control disabled.

  #define  D_PTE1     0           // 
  #define DD_PTE1     1
  #define PE_PTE1     0
  #define SE_PTE1     0

  #define  D_PTE2     1           //   CE  
  #define DD_PTE2     1
  #define PE_PTE2     0
  #define SE_PTE2     0

  #define  D_PTE3     0           //     MISO1
  #define DD_PTE3     0
  #define PE_PTE3     0
  #define SE_PTE3     0

  #define  D_PTE4     1           //     MOSI1
  #define DD_PTE4     1
  #define PE_PTE4     0
  #define SE_PTE4     0

  #define  D_PTE5     1           //     SPSCK1
  #define DD_PTE5     1
  #define PE_PTE5     0
  #define SE_PTE5     0

  #define  D_PTE6     0           //     CRC_Valid
  #define DD_PTE6     0
  #define PE_PTE6     0
  #define SE_PTE6     0

  #define  D_PTE7     0           //     Out_of_Idle
  #define DD_PTE7     0
  #define PE_PTE7     0
  #define SE_PTE7     0

#define INIT_DPTE  (D_PTE0  | (D_PTE1<<1)  | (D_PTE2<<2)  | (D_PTE3<<3)  | (D_PTE4<<4)  | (D_PTE5<<5)  | (D_PTE6<<6)  | (D_PTE7<<7))
#define INIT_DDPTE (DD_PTE0 | (DD_PTE1<<1) | (DD_PTE2<<2) | (DD_PTE3<<3) | (DD_PTE4<<4) | (DD_PTE5<<5) | (DD_PTE6<<6) | (DD_PTE7<<7))
#define INIT_PEPTE (PE_PTE0 | (PE_PTE1<<1) | (PE_PTE2<<2) | (PE_PTE3<<3) | (PE_PTE4<<4) | (PE_PTE5<<5) | (PE_PTE6<<6) | (PE_PTE7<<7))
#define INIT_SEPTE (SE_PTE0 | (SE_PTE1<<1) | (SE_PTE2<<2) | (SE_PTE3<<3) | (SE_PTE4<<4) | (SE_PTE5<<5) | (SE_PTE6<<6) | (SE_PTE7<<7))


void  IOports_Init (void);

#endif
