#include "includes.h"

#define  CLKO_4MHZ  2 //   CLKO = 4 MHz

/* Global Variables */
byte          g_phy_mode; /* needed for s-mac, application can read this variable */
INT8U         channel = 0;
extern INT32U cnt_0_8_ms;
INT8U         energy;
INT8U         max_energy = 0xFF;

#define       BUF_LEN 128
tTxPacket     tx_pack_struct;
INT8U         data_buf[BUF_LEN];
INT32U        pack_cnt;


/*-------------------------------------------------------------------------------------------------------------
    
-------------------------------------------------------------------------------------------------------------*/
void main(void)
{
  SOPT = 0x73;                   /* Turn off the watchdog. */
  IOports_Init();

  Timer1_init();
  Timer1_delay(T_TO_T1CYCLE(0.040)); //   ~200 

  SPI_Init();

  Phy_Init(CLKO_4MHZ);               //   CLKO = 4 MHz
  Phy_Set_Channel(channel);          // Set channel to 0 (2.405GHz)
  Phy_Adjust_Power_Level(MAX_POWER); // Set MAX power setting
//  Phy_Set_int_mode();                //    Phy  

  Phy_Set_poll_mode();               //   Phy    

  ICG_Init();                        //    40 MHz

  UART_Init(BUS_FREQ, 38400, DEFAULT_SCI_PORT);


  ENABLE_INTERRUPT;            /* Turn on system interrupts */

  tx_pack_struct.pdata    = data_buf;

  {
    INT8U i;
    for (i=0;i<20;i++) data_buf[i]=i;
    tx_pack_struct.data_len = i;
  }

  Phy_Write_SMAC_packet(&tx_pack_struct);   /* Load the data into packet RAM */
  Phy_Set_Mode(TX_MODE);                   /* transmit it */
  pack_cnt = 0;

  for ( ;; )
  {
    LED1 = pack_cnt;
    while ( Phy_poll_interrupt() == TRUE );  //    
    {
      INT8U status;

      pack_cnt++;
      data_buf[0]= pack_cnt >> 24;
      data_buf[1]= pack_cnt >> 16;
      data_buf[2]= pack_cnt >> 8;
      data_buf[3]= pack_cnt;

      DELAY_MS(100);
      status = SPI_Read(IRQ_STATUS);
      if (status & TX_SENT_IRQ__TX_STRM_IRQ)
      {
        Phy_Set_Mode(IDLE_MODE);
        Phy_Write_SMAC_packet(&tx_pack_struct);   /* Load the data into packet RAM */
        Phy_Set_Mode(TX_MODE);                    /* transmit it */
      }
    }

    if ( Get_SW_state(SW1)== TRUE ) //   
    {
      if ( channel == 15 )  channel = 0;
      else                  channel += 1;
      Phy_Set_Channel(channel);
      max_energy = 0xFF;
    }
  }
}




