#ifndef __PUB_DEFINE__
  #define __PUB_DEFINE__


typedef unsigned char   BOOLEAN;
typedef unsigned char   INT8U;                    /* Unsigned  8 bit quantity                           */
typedef signed   char   INT8S;                    /* Signed    8 bit quantity                           */
typedef unsigned int    INT16U;                   /* Unsigned 16 bit quantity                           */
typedef signed   int    INT16S;                   /* Signed   16 bit quantity                           */
typedef unsigned long   INT32U;                   /* Unsigned 32 bit quantity                           */
typedef signed   long   INT32S;                   /* Signed   32 bit quantity                           */
typedef float           FP32;                     /* Single precision floating point                    */
typedef double          FP64;                     /* Double precision floating point                    */




  #define BIT(n) (1 << n)
  #define SHIFTV(v,n) (v << n)

  #define ENABLE_INTERRUPT  __asm CLI
  #define DISABLE_INTERRUPT __asm SEI

/* Modes defined for the transciever */
  #define IDLE_MODE               0x00
  #define RX_MODE                 0x02
  #define TX_MODE                 0x03
  #define PULSE_TX_MODE           0x43
  #define CCA_MODE                0x01
  #define RX_MODE_W_TIMEOUT             0x80
  #define HIBERNATE_MODE          0x81
  #define DOZE_MODE               0x82
  #define IDLE_MODE_DOZE          0x83
  #define IDLE_MODE_ATTN          0x84
  #define TIMEOUT                 0x85
  #define SYSTEM_RESET_MODE       0x86    /* Not implemented */
  #define MC13192_RESET_MODE      0x87    /* Not implemented */
  #define MC13192_CONFIG_MODE     0x88    /* Not implemented */
  #define RESET_DELAY             0x89    /* Set to 100ms    */

/* Test modes defined for the transciever */
  #define PULSE_TX_PRBS9          0x01
  #define FORCE_IDLE              0x02
  #define CONTINUOUS_RX           0x03
  #define CONTINUOUS_TX_MOD       0x04
  #define CONTINUOUS_TX_NOMOD     0x05

  #define TRUE    1
  #define FALSE   0

  #define MAXPACKETSIZE   126

  #define MAX_POWER       100     /* Numbers chosen arbitrarily but > 16 */
  #define NOMINAL_POWER   0x0B
  #define MIN_POWER       50      /* Numbers chosen arbitrarily but > 16 */

/* Status enumations for the PHY. */
  #define SUCCESS         0x77
  #define INITIAL_VALUE   0x0
enum PD_DATA_STATUS
{
  RX_ON = 1, TRX_OFF
};
enum MC13192_POWER_MODES
{
  RF_POWER_ON = 1, RF_POWER_HIBERNATE, RF_POWER_DOZE
};
enum PLME_SET_TRX_STATE_REQUEST
{
  ERROR = 1
};
  #define OVERFLOW    1

typedef struct
{
  INT8U max_dlen;
  INT8U data_len;
  INT8U *pdata;
  INT8U stat;
} TRxPacket;

typedef struct
{
  INT8U data_len;
  INT8U *pdata;
} tTxPacket;

typedef struct
{
  INT8U u8CCAMode;
  INT8U u8InstantValue;
  INT8U u8FinalValue;
} tCCAMeasurement;


  #ifndef NULL
    #define NULL    ((void *)0)
  #endif


#endif
